BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.MarshalByRefObject System.IDisposable

Encapsulates operating-system specific objects that wait for exclusive access to shared resources.

This class is typically used as a base class for synchronization objects. Classes derived from define a signaling mechanism to indicate taking or releasing exclusive access to a shared resource, but use the inherited

methods to block while waiting for access to shared resources.

The static methods of this class are used to block a until one or more synchronization objects receive a signal.

- Constructor

  Constructs and initializes a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Releases all resources held by the current instance.

  This method is the public version of the method implemented to support the interface.

  This method releases any unmanaged resources held by the current instance. This method can, but is not required to, suppress finalization during garbage collection by calling the method.

  As described above.

  Override this property to release resources allocated in subclasses.

  Use this method to release all resources held by an instance of . Once this method is called, references to the current instance cause undefined behavior.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void `` to release both managed and unmanaged resources; to release only unmanaged resources.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  This method releases all unmanaged resources held by the current instance. When the parameter is , this method releases all resources held by any managed objects referenced by the current instance. This method invokes the method of each referenced object.

  Override this method to dispose of resources allocated by types derived from . When overriding (), be careful not to reference objects that have been previously disposed in an earlier call to or . can be called multiple times by other objects.

  This method is called by the public method and the method. invokes this method with the parameter set to . invokes with set to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Releases the resources held by the current instance.

  Application code does not call this method; it is automatically invoked during garbage collection unless finalization by the garbage collector has been disabled. For more information, see , and .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.IntPtr To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("In the profiles > 2.x, use SafeHandle instead of Handle")
- Field
  System.IntPtr To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  Microsoft.Win32.SafeHandles.SafeWaitHandle To be added. To be added. To be added. 2.0.0.0 4.0.0.0 get: System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail) set: System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Void Implemented to support the interface. [Note: For more information, see .] To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` A array containing the objects for which the current instance will wait. This array cannot contain multiple references to the same object (duplicates).

  Waits for all of the elements in the specified array to receive a signal.

  Returns when every element in has received a signal. If the current thread receives a request to abort before the signals are received, this method returns .

  The maximum number of objects specified in the array is system defined.

  is or one or more elements in the array is . contains elements that are duplicates. The number of objects in is greater than the system permits. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` A array containing the objects for which the current instance will wait. This array cannot contain multiple references to the same object (duplicates).

  Waits for any of the elements in the specified array to receive a signal.

  Returns a set to the index of the element in that received a signal.

  The maximum number of objects specified in the array is system defined.

  is or one or more elements in the array is . contains elements that are duplicates. The number of objects in is greater than the system permits. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
- Method
  System.Boolean

  Blocks the current thread until the current instance receives a signal.

  Returns when the current instance receives a signal.

  The caller of this method blocks indefinitely until a signal is received by the current instance.

  Override this method to customize the behavior of types derived from .

  Use this method to block until a receives a signal from another thread, such as is generated when an asynchronous operation completes. For more information, see the interface.

  The current instance has already been disposed. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 258 To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)